.contact {
    @include rel-block;

    @include mobile {
        padding: 0 5%;
    }

    // FORM
    &-form {
        @include rel-block;

        .container-2 {
            background: $orange;
            padding: 7rem 0;
            border-radius: .6rem;
            overflow: hidden;

            @include mobileMax {
                padding: 5rem 0;
            }

            img {
                @include fotoBg;
                z-index: 1;
            }
        }

        &-row {
            display: flex;
            column-gap: 5rem;
            z-index: 2;
            position: relative;

            @include mobileMax {
                @include rel-block;
                padding: 0 3rem;
            }

            .text,
            .form {
                flex: 1;
            }

            .text {
                padding-top: 4.5rem;

                @include mobileMax {
                    padding-top: 0;
                }

                h1,
                p {
                    max-width: 50rem;
                    color: $white;
                }

                h1 {
                    text-transform: uppercase;
                    margin-bottom: 0;
                    max-width: 55rem;

                    .letter {
                        display: inline-block;
                        line-height: 135%;
                        color: $white;
                    }
                }

                p {
                    margin-top: 6rem;
                    @include rel-block;

                    @include mobileMax {
                        margin-top: 3rem;
                    }
                }
            }

            .form {
                @include mobileMax {
                    margin-top: 5rem;
                }

                .wpcf7 {
                    @include rel-block;
                    background: $white;
                    padding: 4.5rem 6rem 7rem 4.5rem;
                    border-radius: .6rem;

                    @include mobileMax {
                        padding: 3rem;
                    }

                    h2 {
                        font-weight: bold;
                        font-size: 3.6rem;
                        line-height: 135%;
                        text-align: left;
                        color: $blc;
                        @include rel-block;
                        margin-bottom: 3rem;

                        @include mobileMax {
                            margin-bottom: 3rem;
                            font-size: 3rem;
                        }
                    }

                    label {
                        font-weight: normal;
                        font-size: 1.4rem;
                        line-height: 135%;
                        text-align: left;
                        color: $blc;
                    }
                    .btn-orange {
                        margin-top: 1rem;
                    }
                }
            }
        }
    }


    // TORONTO
    &-toronto {
        @include rel-block;
       padding-top: 22rem;

        @include mobileMax {
            padding-top: 10rem;
        }

        @include tabletBig {
            padding-top: 15rem;
        }

        .container-2 {
            @include rel-block;
        }

        @include mobileMax {
            .container {
                padding-left: 0 !important;
                padding-right: 0 !important;
            }
        }

        @include tabletBig {
            .container {
                width: 100%;
            }
        }

        // IMAGE
        &-img {
            @include rel-block;
            border-radius: .6rem;
            overflow: hidden;
        }

        &-cnt {
            position: absolute;
            display: flex;
            align-items: center;

            top: 0;
            left: 0;
            width: 100%;
            height: 100%;

            @include mobileMax {
                position: relative;
                display: block;
            }
            @include tablet {
                padding: 0 5%;
            }

            // GET IN TOUCH
            &-git {
                @include abs-block;
                top: -5.1rem;
                right: 5%;
                width: 45%;

                @include mobileMax {
                    @include rel-block;
                    top: 0;
                    right: 0;
                    width: 100%;
                    padding: 4rem 0 0 0;
                }

                @media (min-width: 1366px) {
                    right: calc(calc(100% - 1240px) / 2);
                    width: calc(55% - calc(100% - 1240px) / 2);
                }

                @media (min-width: 1660px) {
                    right: calc(calc(100% - 1240px) / 2);
                    width: calc(66% - calc(100% - 1240px) / 2);
                    top: -7.1rem;
                }

                span {                    
                    font-size: 10rem;
                    line-height: 100%;
                    text-align: left;
                    text-transform: uppercase;
                    @include rel-block;
                    font-family: $font2;
                    font-optical-sizing: auto;
                    font-weight: 600;
                    font-style: normal;

                    @include mobileMax {
                        font-size: 5rem;
                    }

                    @include tabletBig {
                        font-size: 7rem;
                    }

                    @media (min-width: 1660px) {
                        font-size: 13rem;
                    }

                    &:last-child {
                        text-align: right;
                        @include tablet {
                            text-align: left;
                        }
                    }
                }
            }

            &-apla {
                display: inline-block;
                position: relative;
                background: $white;
                padding: 6rem 6rem 8rem 6rem;
                border-radius: .6rem;

                @include tabletBig {
                    padding: 4rem;
                }

                @media (min-width: 1200px) {
                    width: 50rem;
                }

                @include mobileMax {
                    margin-top: 5rem;
                    padding: 0;
                }

                & .subtitle {
                    font-family: $font;
                    font-weight: 600;
                    font-size: 1.6rem;
                    letter-spacing: 0.3em;
                    line-height: 135%;
                    text-align: left;
                    color: $blc;
                    margin-bottom: 1rem;
                    text-transform: uppercase;
                }

                & .title {
                    font-family: $font;
                    font-weight: bold;
                    font-size: 3.6rem;
                    line-height: 135%;
                    text-align: left;
                    color: $blc;
                }

                & .text {
                    @include rel-block;
                    margin-top: 3rem;

                    p {
                        margin-bottom: 4rem;

                        @include tabletBig {
                            margin-bottom: 3rem;
                        }

                        &:last-child {
                            margin-bottom: 0;
                        }
                    }

                }
            }

        }
    }

    // ODDZIALY
    &-branches {
        @include rel-block;
        margin-top: 10rem;

        @include tabletBig {
            margin-top: 5rem;
        }

        @include mobile {
            margin-top: 5rem;
            .container {
                padding-left: 0;
                padding-right: 0;
            }
        }
        @include tablet {
            margin-top: 5rem;
        }

        ul {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 8rem 4rem;

            @media (min-width: 1660px) {
                gap: 10rem 4rem;
            }

            @include mobile {
                grid-template-columns: 1fr;
                gap: 5rem 4rem;
            }

            @include tablet {
                grid-template-columns: repeat(2, 1fr);
                gap: 5rem 4rem;
            }

            @include tabletBig {
                 gap: 5rem 4rem;
            }

            li {
                h3 {
                    font-weight: bold;
                    font-size: 2.8rem;
                    line-height: 135%;
                    text-align: left;
                    color: $blc;
                    margin-bottom: 4rem;

                    @include mobile {
                        margin-bottom: 2rem;
                    }
                }

                .address {}

                .call {
                    @include rel-block;
                    margin-top: 4rem;

                    @include mobileMax {
                        margin-top: 2rem;
                    }

                    p {
                        margin-bottom: 4rem;

                        &:last-child {
                            margin-bottom: 0;
                        }
                    }
                }

                .map {
                    text-transform: uppercase;
                    display: inline-block;
                    position: relative;
                    font-weight: 600;
                    font-size: 1.4rem;
                    letter-spacing: 0.3em;
                    line-height: 135%;
                    text-align: left;
                    color: #a9aaab;
                    margin-top: 4rem;
                    @include link;
                    overflow: hidden;

                    @media (min-width: 1680px) {
                        margin-top: 6rem;
                    }

                    &:before {
                        @include abs-block;
                        top: .1rem;
                        left: -2rem;
                        width: 1.6rem;
                        height: 1.4rem;
                        background: url('../svg/arrow-right.svg') top left no-repeat;
                        content: '';
                        transition: all 350ms ease;

                    }

                    &:hover {
                        color: $orange;
                        padding-left: 2.4rem;

                        &:before {
                            left: 0;
                        }
                    }

                }
            }
        }
    }
}